# ProductCode_Prepare.ps1
# ファイル名から得られる型番に対する事前処理
# ・検索する型番として使用する予定の文字列に対する操作
# ・引数のファイル名にはパス(フォルダ名)、拡張子を含まない

# パラメータ
Param([string] $filename, [string] $fullpath)
# 例外が起きたらそこで止める
$ErrorActionPreference = "stop"
# Write-Verboseを記録する
$VerbosePreference = "continue"

# ファイル名＝型番とみなす
$productcode = $filename

try
{
    ##### カスタマイズスクリプトを読み込む(存在する場合)
    $customize = Join-Path (Split-Path $MyInvocation.MyCommand.Path -parent) "ProductCode_Prepare_customize.ps1"

    if(Test-Path $customize)
    {
        . ($customize)
    }
}
catch
{
    # 例外を起こしたら元に戻す
    $productcode = $filename

    # エラーメッセージを出力する。
    $error[0] | Out-string | Write-Verbose
}
return $productcode
